Public Member Functions | Public Attributes | List of all members
libvisio::VSDRelMoveTo Class Reference
Inheritance diagram for libvisio::VSDRelMoveTo:

## Public Member Functions
| VSDRelMoveTo (unsigned id, unsigned level, const boost::optional< double > &x, const boost::optional< double > &y)
| ~VSDRelMoveTo () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x
double | m_y

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDRelMoveTo()

libvisio::VSDRelMoveTo::VSDRelMoveTo | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x,
|  | const boost::optional< double > & | y )
| inline

Referenced by clone().

## ◆ ~VSDRelMoveTo()

libvisio::VSDRelMoveTo::~VSDRelMoveTo | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDRelMoveTo::clone | ( |  | ) |
| override virtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDRelMoveTo::handle | ( | VSDCollector * | collector | ) | const
| override virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_x

double libvisio::VSDRelMoveTo::m_x

Referenced by clone(), handle(), and VSDRelMoveTo().

## ◆ m_y

double libvisio::VSDRelMoveTo::m_y

Referenced by clone(), handle(), and VSDRelMoveTo().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp